/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

/**********************************************************************************
<b>Color</b> est la classe se chargeant des coloriages en ligne de commande.<br><b>
ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>
 
@version : 1.0
@author : David MASCLE et Damien BOUCHARD
***********************************************************************************/

public class Color
{
    public static void main(String args[])
    {
	if (args.length < 4)
	    {
		System.err.println("Erreur d'utilisation, vous devez passer les paramtres suivants :");
		System.err.println("1 ==> le fichier de mots vides");
		System.err.println("2 ==> le fichier de thmes");
		System.err.println("3 ==> de 1  N fichiers  colorier");
		System.err.println("4 ==> un nom pour les fichiers de sorties.");
	    }
	else
	    {
		int numberOfInputFiles = args.length - 3;
		String[] files = new String[numberOfInputFiles];
		for (int ind = 0; ind < numberOfInputFiles; ind++)
		    files[ind] = args[2 + ind];
		System.out.println(args[0] + "  " + args[1] + "  " + args[2] + "  " + args[args.length - 1]);
		ColoringClass coloringClass = new ColoringClass(args[0], args[1], files, args[args.length - 1]);
		coloringClass.color();
	    }
    }
}
