/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

/********************************************************************************************************
<b>WordTreeNode</b> est une classe conteneur pour un mot d'un thme et est utilis par ThemeTree.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD
*********************************************************************************************************/

public class WordTreeNode
{
    /**
       Champ de stockage d'un mot d'un thme.
    */
    private String theWord = "";

    /**
       Dfini un noeud correspondant  un mot d'un thme.
       
       @param w le mot.                 
    */
    public WordTreeNode(String w)
    {
	theWord = w;
    }

    /**
       Retourne la reprsentation du noeud de mot d'un thme sous forme d'une chaine de caractres.
       
       @returns la reprsentation du noued de mot d'un thme.     
    */
    public String toString()
    {
	return theWord;
    }
}
