/******************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML.
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
*******************************************************/

/*****************************************************************************
<b>ColoringFileConstants</b> est un ensemble de constantes utilises lors 
de la gnration d'un fichier de coloriage au format XML.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

******************************************************************************/
public interface ColoringFileConstants
{
    public static final String COLORING_FILE_PROLOG = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\" standalone=\"yes\"?>\n\n";
    public static final String COLORING_FILE_DTD = "<!DOCTYPE ColoringFile [\n	<!ELEMENT ColoringFile (ListOfFiles, Coloring, Statistics) >\n	<!ELEMENT ListOfFiles (File+) >\n	<!ELEMENT File (#PCDATA) >\n	<!ELEMENT Coloring (StandardWord | EmptyWord | ColoredWord)* >\n	<!ELEMENT StandardWord (#PCDATA) >\n	<!ELEMENT EmptyWord (#PCDATA) >\n	<!ELEMENT ColoredWord (#PCDATA) >\n	<!ATTLIST ColoredWord \n			Color CDATA #REQUIRED\n	>\n	<!ELEMENT Statistics (NbWords, ColoredWordsStats, EmptyWordsStats, ThemesStats) >\n	<!ELEMENT NbWords (#PCDATA) >\n	<!ELEMENT ColoredWordsStats (Number, Percentage) >\n	<!ELEMENT EmptyWordsStats (Number, Percentage) >\n	<!ELEMENT Number (#PCDATA) >\n	<!ELEMENT Percentage (#PCDATA) >\n	<!ELEMENT ThemesStats (ThemeStats*) >\n	<!ELEMENT ThemeStats (Rank, Definition, NbWordsInTheTheme, Color, NbWordsColored, NbWordsUsedToColor, ThemeRecoveringPercentage, PercentageForColoredWords, PercentageForAllWords) >\n	<!ELEMENT Rank (#PCDATA) >\n	<!ELEMENT Definition (#PCDATA) >\n	<!ELEMENT NbWordsInTheTheme (#PCDATA) >\n	<!ELEMENT Color (#PCDATA) >\n	<!ELEMENT NbWordsColored (#PCDATA) >\n	<!ELEMENT NbWordsUsedToColor (#PCDATA) >\n	<!ELEMENT ThemeRecoveringPercentage (#PCDATA) >\n	<!ELEMENT PercentageForColoredWords (#PCDATA) >\n	<!ELEMENT PercentageForAllWords (#PCDATA) >\n]>\n\n";
    public static final String COLORING_FILE_TAG = "ColoringFile";
    public static final String LIST_OF_FILES_TAG = "ListOfFiles";
    public static final String FILE_TAG = "File";
    public static final String COLORING_TAG = "Coloring";
    public static final String STANDARD_WORD_TAG = "StandardWord";
    public static final String EMPTY_WORD_TAG = "EmptyWord";
    public static final String COLORED_WORD_TAG = "ColoredWord";
    public static final String COLOR_ATTRIBUTE = "Color";
    public static final String STATISTICS_TAG = "Statistics";
    public static final String NB_WORDS_TAG = "NbWords";
    public static final String COLORED_WORDS_STATS_TAG = "ColoredWordsStats";
    public static final String EMPTY_WORDS_STATS_TAG = "EmptyWordsStats";
    public static final String THEMES_STATS_TAG = "ThemesStats";
    public static final String NUMBER_TAG = "Number";
    public static final String PERCENTAGE_TAG = "Percentage";
    public static final String THEME_STATS_TAG = "ThemeStats";
    public static final String RANK_TAG = "Rank";
    public static final String DEFINITION_TAG = "Definition";
    public static final String NB_WORDS_IN_THE_THEME_TAG = "NbWordsInTheTheme";
    public static final String COLOR_TAG = "Color";
    public static final String NB_WORDS_COLORED_TAG = "NbWordsColored";
    public static final String NB_WORDS_USED_TO_COLOR_TAG = "NbWordsUsedToColor";
    public static final String THEME_RECOVERING_PERCENTAGE_TAG = "ThemeRecoveringPercentage";
    public static final String PERCENTAGE_FOR_COLORED_WORDS_TAG = "PercentageForColoredWords";
    public static final String PERCENTAGE_FOR_ALL_WORDS_TAG = "PercentageForAllWords";
}
