/*
Termin
*/

/******************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML.
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
*******************************************************/

import java.io.*;

/**************************************************************************************************
<b>MyStreamTokenizer</b> est un StreamTokenizer spcialis pour les besoins de ThemeEditor.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD

***************************************************************************************************/

public class MyStreamTokenizer extends StreamTokenizer
{
    /**
       Dfini un tokenizer qui parse le flot de caractres pass en paramtre.

       @param r flot de caractres.
    */
    public MyStreamTokenizer(Reader r)
    {
	super(r);
	// rinitialisation des paramtres du tokenizer
	resetSyntax();
	// paramtrage du tokenizer
	eolIsSignificant(true); // ne en compte les retours  la ligne
	ordinaryChars(32,47); // caractres ==> espace ! " # $ % & ' ( ) * + , - . /
	wordChars(48, 57); // caractres ==> 0 1 2 3 4 5 6 7 8 9
	ordinaryChars(58, 64); // caractres ==> : ; < = > ? @
	wordChars(65, 90); // caractres ==> A  Z
	ordinaryChars(91, 96); // caractres ==> [ \ ] ^ _ ` }
	wordChars(97, 122);  // caractres ==> a  z
	ordinaryChars(123, 191); // caractres ==> {| } ~  ? ? , f ? ? ? ? ^ ? S < ? ? ? ? ? ? ? ? ? * - - ~ ? s > ? ? ? Y                                 
	wordChars(192, 214); // caractres ==>                       
	ordinaryChars(215, 216); // caractres ==>  
	wordChars(217, 221); // caractres ==>     
	ordinaryChars(222, 223); // caractres ==>  
	wordChars(224, 246); // caractres ==>                       
	ordinaryChars(247, 248); // caractres ==>  
	wordChars(249, 253); // caractres ==>     
	ordinaryChars(254, 254); // caractres ==> 
	wordChars(255, 255); // caractres ==> 
    }
}
