/*
  Termin
*/

/*****************************************************
ThemeEditor 1.0 est un diteur de thmes au format XML
Copyright (C) 2000 David MASCLE et Damien BOUCHARD.
Auteurs: David MASCLE et Damien BOUCHARD.
******************************************************/

/************************************************************************************************
<b>ThemeTreeNode</b> est une classe conteneur pour un thme et est utilis par ThemeTree.<br><br>
<br><b>ThemeEditor 1.0</b> est un diteur de thmes au format XML.<br>
<br>Copyright &copy; 2000 David MASCLE et Damien BOUCHARD.<br>

@version : 1.0
@author : David MASCLE et Damien BOUCHARD
*************************************************************************************************/

public class ThemeTreeNode
{
    /**
       Champ de stockage de la dfinition d'un thme.
    */
    private String theDefinition = "";

    /**
       Dfini un noeud correspondant  un thme.
       
       @param d la dfinition du thme.                 
    */
    public ThemeTreeNode(String d)
    {
	theDefinition = d;
    }
    
    /**
       Retourne la reprsentation du noeud de thme sous forme d'une chaine de caractres.
       
       @returns la reprsentation du noued de thme.     
    */
    public String toString()
    {
	return theDefinition;
    }
}
